#!/usr/bin/python3

from pynwp.SystemdPreset import SystemdPreset
from pynwp.migration import CommandLineParser
import sys


def validator(arguments):
    if not arguments.rootfs:
        return False
    else:
        return True


if __name__ == "__main__":
    arguments = CommandLineParser(sys.argv[1:], validator)

    message = "Transfer startup settings"
    current = SystemdPreset()
    if arguments.is_clean() or not current.active():
        print(message + " - skipped")
    else:
        print(message)

        services = current.GetDisabledServices()

        future = SystemdPreset(arguments.rootfs_path())
        future.DisableServices(services)
