from shutil import rmtree
from tempfile import mkstemp, mkdtemp


class TempTree():
    def __enter__(self):
        self.tree = mkdtemp()
        return self.tree

    def __exit__(self, type, value, traceback):
        rmtree(self.tree)
