from pynwp.SystemdPreset import SystemdPreset
import os


class SystemdAccess:
    migration_preset = 'run/systemd/system-preset/00-migration-preset'
    
    def apply_migration_preset(self, rootfs='/'):
        with open(os.path.join(rootfs, SystemdAccess.migration_preset), 'r') as fp:
            actions = SystemdPreset.read_preset(fp)
            
        for unit in actions['disable']:
            self.disable_unit(unit)
        
    def disable_unit(self, unit):
        pass
